Subject: bug#3399: Crash in multi-TTY mode

From: Stefan Monnier <[email-masked]>
Date: Sat, 30 May 2009 16:37:02 -0400

> I'd prefer the conservative "maybe leaking" one at this stage as I
> said first in
> http://lists.gnu.org/archive/html/emacs-devel/2009-05/msg00263.html.

The main problem with this is that the "maybe" is "in 99% of the cases",
since only ancient versions of libX11 free the database.

> The third non-crashing non-hideous way would be to associate the
> created database before any call to XGetDefault so it may not set the
> XlibDisplayDfltRMDB flag.  That will require reordering in the display
> initialization and we can try it after the release.

BTW, is there any hope that the bug in libX11 will be fixed any
time soon (not that it will save us, but at least I'd like to make sure
that we're not stuck with such painful workarounds indefinitely).

        Stefan